# Enum Class ScriptToken

java.lang.Object
java.lang.Enum<ScriptToken>
jspecview.common.ScriptToken

All Implemented Interfaces:
  `Serializable, Comparable<ScriptToken>, Constable`

public enum ScriptToken extends Enum<ScriptToken>
ScriptToken takes care of script command processing

Author:
  Bob Hanson hansonr@stolaf.edu

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`APPLETID`
`APPLETREADYCALLBACKFUNCTIONNAME`
`AUTOINTEGRATE`
`BACKGROUNDCOLOR`
`CLOSE`
`COMPOUNDMENUON`
`COORDCALLBACKFUNCTIONNAME`
`COORDINATESCOLOR`
`COORDINATESON`
`DEBUG`
`DEFAULTLOADSCRIPT`
`DEFAULTNMRNORMALIZATION`
`DISPLAY1D`
`DISPLAY2D`
`DISPLAYFONTNAME`
`ENABLEZOOM`
`ENDINDEX`
`FINDX`
`GETPROPERTY`
`GETSOLUTIONCOLOR`
`GRIDCOLOR`
`GRIDON`
`HELP`
`HIDDEN`
`HIGHLIGHT`
`HIGHLIGHTCOLOR`
`INTEGRALOFFSET`
`INTEGRALPLOTCOLOR`
`INTEGRALRANGE`
`INTEGRATE`
`INTEGRATION`
`INTEGRATIONRATIOS`
`INTERFACE`
`INVERTY`
`IRMODE`
`JMOL`
`JSV`
`LABEL`
`LINK`
`LOAD`
`LOADFILECALLBACKFUNCTIONNAME`
`LOADIMAGINARY`
`MENUON`
`OBSCURE`
`OVERLAY`
`OVERLAYSTACKED`
`PEAK`
`PEAKCALLBACKFUNCTIONNAME`
`PEAKLIST`
`PEAKOVERCOLOR`
`PEAKTABCOLOR`
`PEAKTABSON`
`PLOTAREACOLOR`
`PLOTCOLOR`
`PLOTCOLORS`
`POINTSONLY`
`PRINT`
`REVERSEPLOT`
`SCALEBY`
`SCALECOLOR`
`SCRIPT`
`SELECT`
`SETPEAK`
`SETX`
`SHIFTX`
`SHOWERRORS`
`SHOWINTEGRATION`
`SHOWMEASUREMENTS`
`SHOWMENU`
`SHOWPEAKLIST`
`SHOWPROPERTIES`
`SHOWSOURCE`
`SPECTRUM`
`SPECTRUMNUMBER`
`STACKOFFSETY`
`STARTINDEX`
`SYNCCALLBACKFUNCTIONNAME`
`SYNCID`
`TEST`
`TITLEBOLDON`
`TITLECOLOR`
`TITLEFONTNAME`
`TITLEON`
`UNITSCOLOR`
`UNKNOWN`
`VERSION`
`VIEW`
`WINDOW`
`WRITE`
`XSCALEON`
`XUNITSON`
`YSCALE`
`YSCALEON`
`YUNITSON`
`ZOOM`
`ZOOMBOXCOLOR`
`ZOOMBOXCOLOR2`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`static String`
`getKey(ScriptTokenizer eachParam)`
`static String`
`getNameList(Lst<ScriptToken> list)`
`static ScriptToken`
`getScriptToken(String name)`
`static Lst<ScriptToken>`
`getScriptTokenList(String name, boolean isExact)`
`String`
`getTip()`
`static Lst<String>`
`getTokens(String value)`
read a string for possibly quoted tokens separated by space until // or # is reached.
`static String`
`getValue(ScriptToken st, ScriptTokenizer params, String cmd)`
tweak command options depending upon special cases
`static ScriptToken`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ScriptToken[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final ScriptToken UNKNOWN

### APPLETID

public static final ScriptToken APPLETID

### APPLETREADYCALLBACKFUNCTIONNAME

public static final ScriptToken APPLETREADYCALLBACKFUNCTIONNAME

### AUTOINTEGRATE

public static final ScriptToken AUTOINTEGRATE

### BACKGROUNDCOLOR

public static final ScriptToken BACKGROUNDCOLOR

### CLOSE

public static final ScriptToken CLOSE

### COMPOUNDMENUON

public static final ScriptToken COMPOUNDMENUON

### COORDCALLBACKFUNCTIONNAME

public static final ScriptToken COORDCALLBACKFUNCTIONNAME

### COORDINATESCOLOR

public static final ScriptToken COORDINATESCOLOR

### COORDINATESON

public static final ScriptToken COORDINATESON

### DEBUG

public static final ScriptToken DEBUG

### DEFAULTLOADSCRIPT

public static final ScriptToken DEFAULTLOADSCRIPT

### DEFAULTNMRNORMALIZATION

public static final ScriptToken DEFAULTNMRNORMALIZATION

### DISPLAYFONTNAME

public static final ScriptToken DISPLAYFONTNAME

### DISPLAY1D

public static final ScriptToken DISPLAY1D

### DISPLAY2D

public static final ScriptToken DISPLAY2D

### ENABLEZOOM

public static final ScriptToken ENABLEZOOM

### ENDINDEX

public static final ScriptToken ENDINDEX

### FINDX

public static final ScriptToken FINDX

### GETPROPERTY

public static final ScriptToken GETPROPERTY

### GETSOLUTIONCOLOR

public static final ScriptToken GETSOLUTIONCOLOR

### GRIDCOLOR

public static final ScriptToken GRIDCOLOR

### GRIDON

public static final ScriptToken GRIDON

### HELP

public static final ScriptToken HELP

### HIDDEN

public static final ScriptToken HIDDEN

### HIGHLIGHTCOLOR

public static final ScriptToken HIGHLIGHTCOLOR

### HIGHLIGHT

public static final ScriptToken HIGHLIGHT

### INTEGRALOFFSET

public static final ScriptToken INTEGRALOFFSET

### INTEGRALRANGE

public static final ScriptToken INTEGRALRANGE

### INTEGRATE

public static final ScriptToken INTEGRATE

### INTEGRATION

public static final ScriptToken INTEGRATION

### INTEGRALPLOTCOLOR

public static final ScriptToken INTEGRALPLOTCOLOR

### INTEGRATIONRATIOS

public static final ScriptToken INTEGRATIONRATIOS

### INTERFACE

public static final ScriptToken INTERFACE

### INVERTY

public static final ScriptToken INVERTY

### IRMODE

public static final ScriptToken IRMODE

### JMOL

public static final ScriptToken JMOL

### JSV

public static final ScriptToken JSV

### LABEL

public static final ScriptToken LABEL

### LINK

public static final ScriptToken LINK

### LOAD

public static final ScriptToken LOAD

### LOADFILECALLBACKFUNCTIONNAME

public static final ScriptToken LOADFILECALLBACKFUNCTIONNAME

### LOADIMAGINARY

public static final ScriptToken LOADIMAGINARY

### MENUON

public static final ScriptToken MENUON

### OBSCURE

public static final ScriptToken OBSCURE

### OVERLAY

public static final ScriptToken OVERLAY

### OVERLAYSTACKED

public static final ScriptToken OVERLAYSTACKED

### PEAK

public static final ScriptToken PEAK

### PEAKCALLBACKFUNCTIONNAME

public static final ScriptToken PEAKCALLBACKFUNCTIONNAME

### PEAKLIST

public static final ScriptToken PEAKLIST

### PEAKOVERCOLOR

public static final ScriptToken PEAKOVERCOLOR

### PEAKTABCOLOR

public static final ScriptToken PEAKTABCOLOR

### PEAKTABSON

public static final ScriptToken PEAKTABSON

### PLOTAREACOLOR

public static final ScriptToken PLOTAREACOLOR

### PLOTCOLOR

public static final ScriptToken PLOTCOLOR

### PLOTCOLORS

public static final ScriptToken PLOTCOLORS

### POINTSONLY

public static final ScriptToken POINTSONLY

### PRINT

public static final ScriptToken PRINT

### REVERSEPLOT

public static final ScriptToken REVERSEPLOT

### SCALEBY

public static final ScriptToken SCALEBY

### SCALECOLOR

public static final ScriptToken SCALECOLOR

### SCRIPT

public static final ScriptToken SCRIPT

### SELECT

public static final ScriptToken SELECT

### SETPEAK

public static final ScriptToken SETPEAK

### SETX

public static final ScriptToken SETX

### SHIFTX

public static final ScriptToken SHIFTX

### SHOWERRORS

public static final ScriptToken SHOWERRORS

### SHOWINTEGRATION

public static final ScriptToken SHOWINTEGRATION

### SHOWMEASUREMENTS

public static final ScriptToken SHOWMEASUREMENTS

### SHOWMENU

public static final ScriptToken SHOWMENU

### SHOWPEAKLIST

public static final ScriptToken SHOWPEAKLIST

### SHOWPROPERTIES

public static final ScriptToken SHOWPROPERTIES

### SHOWSOURCE

public static final ScriptToken SHOWSOURCE

### SPECTRUM

public static final ScriptToken SPECTRUM

### SPECTRUMNUMBER

public static final ScriptToken SPECTRUMNUMBER

### STACKOFFSETY

public static final ScriptToken STACKOFFSETY

### STARTINDEX

public static final ScriptToken STARTINDEX

### SYNCCALLBACKFUNCTIONNAME

public static final ScriptToken SYNCCALLBACKFUNCTIONNAME

### SYNCID

public static final ScriptToken SYNCID

### TEST

public static final ScriptToken TEST

### TITLEON

public static final ScriptToken TITLEON

### TITLEBOLDON

public static final ScriptToken TITLEBOLDON

### TITLECOLOR

public static final ScriptToken TITLECOLOR

### TITLEFONTNAME

public static final ScriptToken TITLEFONTNAME

### UNITSCOLOR

public static final ScriptToken UNITSCOLOR

### VERSION

public static final ScriptToken VERSION

### VIEW

public static final ScriptToken VIEW

### XSCALEON

public static final ScriptToken XSCALEON

### XUNITSON

public static final ScriptToken XUNITSON

### YSCALE

public static final ScriptToken YSCALE

### YSCALEON

public static final ScriptToken YSCALEON

### YUNITSON

public static final ScriptToken YUNITSON

### WINDOW

public static final ScriptToken WINDOW

### WRITE

public static final ScriptToken WRITE

### ZOOM

public static final ScriptToken ZOOM

### ZOOMBOXCOLOR

public static final ScriptToken ZOOMBOXCOLOR

### ZOOMBOXCOLOR2

public static final ScriptToken ZOOMBOXCOLOR2

## Method Details

### values

public static ScriptToken[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ScriptToken valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getTip

public String getTip()

### getScriptToken

public static ScriptToken getScriptToken(String name)

### getScriptTokenList

public static Lst<ScriptToken> getScriptTokenList(String name, boolean isExact)

### getValue

public static String getValue(ScriptToken st, ScriptTokenizer params, String cmd)
tweak command options depending upon special cases

Parameters:
  `st` -
  `params` -
  `cmd` -
Returns:
  adjusted value

### getKey

public static String getKey(ScriptTokenizer eachParam)

### getTokens

public static Lst<String> getTokens(String value)
read a string for possibly quoted tokens separated by space until // or # is reached.

Parameters:
  `value` -
Returns:
  list of tokens

### getNameList

public static String getNameList(Lst<ScriptToken> list)

### getDescription

public String getDescription()